com.genesyslab.wfm8.API.service.adherence810

## Class AdhDayEvent

- java.lang.Object
- - com.genesyslab.wfm8.API.service.adherence810.AdhDayEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class AdhDayEvent
      extends java.lang.Object
      implements java.io.Serializable

  Most often Agent Adherence Events are presented grouped by calendar days in reports. To make it more convenient Adherence Service also provides Agent Adherence Events grouped by day as a separate record.
  See Also:
    `WFMAdherenceService810Soap.getDayEventAsync(int, double, double, java.util.List<java.lang.Integer>, java.util.List<java.lang.Integer>, boolean, boolean, boolean, boolean)`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `gswAgentId` Agent ID, identifies `CfgAgent` object
    `private static long` | `serialVersionUID`
    `protected int` | `wmActualWorkDuration` Total actual work duration for the day in seconds
    `protected double` | `wmAdherencePerc` A percentage of adherent state time of the day.
    `protected double` | `wmConformancePerc` A percentage of conformance of the day.
    `protected double` | `wmDate` Calendar date designating day.
    `protected java.util.List<AdhEvent>` | `wmEvents` An array of Adherence Events (`AdhEvent`) that have occured on this day.
    `protected int` | `wmEventsNSizeIs` Number of elements in wmEvents array
    `protected int` | `wmNonAdherenceDuration` Total non-adherence state duration for the day in seconds.
    `protected int` | `wmOutOfScheduleNonAdherenceDuration` Total out-of-schedule non-adherence state duration for the day in seconds.
    `protected int` | `wmScheduleDuration` Total schedule duration for the day in seconds.
    `protected int` | `wmSiteId` Site ID, identifies `CfgSite` object

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdhDayEvent()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getGswAgentId()` Gets the value of the gswAgentId property.
    `int` | `getWmActualWorkDuration()` Gets the value of the wmActualWorkDuration property.
    `double` | `getWmAdherencePerc()` Gets the value of the wmAdherencePerc property.
    `double` | `getWmConformancePerc()` Gets the value of the wmConformancePerc property.
    `double` | `getWmDate()` Gets the value of the wmDate property.
    `java.util.List<AdhEvent>` | `getWmEvents()` Gets the value of the wmEvents property.
    `int` | `getWmEventsNSizeIs()` Gets the value of the wmEventsNSizeIs property.
    `int` | `getWmNonAdherenceDuration()` Gets the value of the wmNonAdherenceDuration property.
    `int` | `getWmOutOfScheduleNonAdherenceDuration()` Gets the value of the wmOutOfScheduleNonAdherenceDuration property.
    `int` | `getWmScheduleDuration()` Gets the value of the wmScheduleDuration property.
    `int` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `hashCode()`
    `void` | `setGswAgentId(int value)` Sets the value of the gswAgentId property.
    `void` | `setWmActualWorkDuration(int value)` Sets the value of the wmActualWorkDuration property.
    `void` | `setWmAdherencePerc(double value)` Sets the value of the wmAdherencePerc property.
    `void` | `setWmConformancePerc(double value)` Sets the value of the wmConformancePerc property.
    `void` | `setWmDate(double value)` Sets the value of the wmDate property.
    `void` | `setWmEvents(java.util.List<AdhEvent> wmEvents)` Sets the value of the wmEvents property.
    `void` | `setWmEventsNSizeIs(int value)` Sets the value of the wmEventsNSizeIs property.
    `void` | `setWmNonAdherenceDuration(int value)` Sets the value of the wmNonAdherenceDuration property.
    `void` | `setWmOutOfScheduleNonAdherenceDuration(int value)` Sets the value of the wmOutOfScheduleNonAdherenceDuration property.
    `void` | `setWmScheduleDuration(int value)` Sets the value of the wmScheduleDuration property.
    `void` | `setWmSiteId(int value)` Sets the value of the wmSiteId property.
    `java.lang.String` | `toString()`
    `AdhDayEvent` | `withGswAgentId(int value)`
    `AdhDayEvent` | `withWmActualWorkDuration(int value)`
    `AdhDayEvent` | `withWmAdherencePerc(double value)`
    `AdhDayEvent` | `withWmConformancePerc(double value)`
    `AdhDayEvent` | `withWmDate(double value)`
    `AdhDayEvent` | `withWmEvents(AdhEvent... values)`
    `AdhDayEvent` | `withWmEvents(java.util.Collection<AdhEvent> values)`
    `AdhDayEvent` | `withWmEventsNSizeIs(int value)`
    `AdhDayEvent` | `withWmNonAdherenceDuration(int value)`
    `AdhDayEvent` | `withWmOutOfScheduleNonAdherenceDuration(int value)`
    `AdhDayEvent` | `withWmScheduleDuration(int value)`
    `AdhDayEvent` | `withWmSiteId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmSiteId

          protected int wmSiteId

      Site ID, identifies `CfgSite` object

    - #### gswAgentId

          protected int gswAgentId

      Agent ID, identifies `CfgAgent` object

    - #### wmDate

          protected double wmDate

      Calendar date designating day. `OleDateTime`

    - #### wmEventsNSizeIs

          protected int wmEventsNSizeIs

      Number of elements in wmEvents array

    - #### wmEvents

          protected java.util.List<AdhEvent> wmEvents

      An array of Adherence Events (`AdhEvent`) that have occured on this day.

    - #### wmNonAdherenceDuration

          protected int wmNonAdherenceDuration

      Total non-adherence state duration for the day in seconds.

    - #### wmOutOfScheduleNonAdherenceDuration

          protected int wmOutOfScheduleNonAdherenceDuration

      Total out-of-schedule non-adherence state duration for the day in seconds.

    - #### wmScheduleDuration

          protected int wmScheduleDuration

      Total schedule duration for the day in seconds.

    - #### wmAdherencePerc

          protected double wmAdherencePerc

      A percentage of adherent state time of the day. Formula: wmAdherencePerc = 100. - 100. * (wmNonAdherenceDuration + wmOutOfScheduleNonAdherenceDuration) / (wmScheduleDuration + wmOutOfScheduleNonAdherenceDuration)

    - #### wmActualWorkDuration

          protected int wmActualWorkDuration

      Total actual work duration for the day in seconds

    - #### wmConformancePerc

          protected double wmConformancePerc

      A percentage of conformance of the day. Formula: wmConformancePerc = wmActualWorkDuration / wmScheduleDuration * 100.

  - ### Constructor Detail

    - #### AdhDayEvent

          public AdhDayEvent()

  - ### Method Detail

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the value of the wmSiteId property.

    - #### setWmSiteId

          public void setWmSiteId(int value)

      Sets the value of the wmSiteId property.

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the value of the gswAgentId property.

    - #### setGswAgentId

          public void setGswAgentId(int value)

      Sets the value of the gswAgentId property.

    - #### getWmDate

          public double getWmDate()

      Gets the value of the wmDate property.

    - #### setWmDate

          public void setWmDate(double value)

      Sets the value of the wmDate property.

    - #### getWmEventsNSizeIs

          public int getWmEventsNSizeIs()

      Gets the value of the wmEventsNSizeIs property.

    - #### setWmEventsNSizeIs

          public void setWmEventsNSizeIs(int value)

      Sets the value of the wmEventsNSizeIs property.

    - #### getWmEvents

          public java.util.List<AdhEvent> getWmEvents()

      Gets the value of the wmEvents property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmEvents property.

      For example, to add a new item, do as follows:

              getWmEvents().add(newItem);

      Objects of the following type(s) are allowed in the list `AdhEvent`

    - #### getWmNonAdherenceDuration

          public int getWmNonAdherenceDuration()

      Gets the value of the wmNonAdherenceDuration property.

    - #### setWmNonAdherenceDuration

          public void setWmNonAdherenceDuration(int value)

      Sets the value of the wmNonAdherenceDuration property.

    - #### getWmOutOfScheduleNonAdherenceDuration

          public int getWmOutOfScheduleNonAdherenceDuration()

      Gets the value of the wmOutOfScheduleNonAdherenceDuration property.

    - #### setWmOutOfScheduleNonAdherenceDuration

          public void setWmOutOfScheduleNonAdherenceDuration(int value)

      Sets the value of the wmOutOfScheduleNonAdherenceDuration property.

    - #### getWmScheduleDuration

          public int getWmScheduleDuration()

      Gets the value of the wmScheduleDuration property.

    - #### setWmScheduleDuration

          public void setWmScheduleDuration(int value)

      Sets the value of the wmScheduleDuration property.

    - #### getWmAdherencePerc

          public double getWmAdherencePerc()

      Gets the value of the wmAdherencePerc property.

    - #### setWmAdherencePerc

          public void setWmAdherencePerc(double value)

      Sets the value of the wmAdherencePerc property.

    - #### getWmActualWorkDuration

          public int getWmActualWorkDuration()

      Gets the value of the wmActualWorkDuration property.

    - #### setWmActualWorkDuration

          public void setWmActualWorkDuration(int value)

      Sets the value of the wmActualWorkDuration property.

    - #### getWmConformancePerc

          public double getWmConformancePerc()

      Gets the value of the wmConformancePerc property.

    - #### setWmConformancePerc

          public void setWmConformancePerc(double value)

      Sets the value of the wmConformancePerc property.

    - #### withWmSiteId

          public AdhDayEvent withWmSiteId(int value)

    - #### withGswAgentId

          public AdhDayEvent withGswAgentId(int value)

    - #### withWmDate

          public AdhDayEvent withWmDate(double value)

    - #### withWmEventsNSizeIs

          public AdhDayEvent withWmEventsNSizeIs(int value)

    - #### withWmEvents

          public AdhDayEvent withWmEvents(AdhEvent... values)

    - #### withWmEvents

          public AdhDayEvent withWmEvents(java.util.Collection<AdhEvent> values)

    - #### withWmNonAdherenceDuration

          public AdhDayEvent withWmNonAdherenceDuration(int value)

    - #### withWmOutOfScheduleNonAdherenceDuration

          public AdhDayEvent withWmOutOfScheduleNonAdherenceDuration(int value)

    - #### withWmScheduleDuration

          public AdhDayEvent withWmScheduleDuration(int value)

    - #### withWmAdherencePerc

          public AdhDayEvent withWmAdherencePerc(double value)

    - #### withWmActualWorkDuration

          public AdhDayEvent withWmActualWorkDuration(int value)

    - #### withWmConformancePerc

          public AdhDayEvent withWmConformancePerc(double value)

    - #### setWmEvents

          public void setWmEvents(java.util.List<AdhEvent> wmEvents)

      Sets the value of the wmEvents property.
      Parameters:
        `wmEvents` - allowed object is `AdhEvent`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.